<span ref:tooltipTarget
      on:mouseover="onHover(noHover, event, value)"
      on:mouseleave="$set({tooltip: undefined})"
      class="tooltip-target">
  <slot />
</span>

<script>
  import device from "../js/device";
  export default {
    methods: {
      onHover(noHover, event, value) {
        if (noHover) return;
        if (event.sourceCapabilities) {
          if (event.sourceCapabilities.firesTouchEvents) return;
        } else if (device.isMobile()) {
          return;
        }
        console.log(event, "onHover");
        this.store.set({tooltip: {ref: this.refs.tooltipTarget, value}});
      },
      onLeave() {
        this.store.set({tooltip: undefined});
      }
    }
  };
</script>
